Statistics
8
0
0
151d
Badges
Dependencies

Doctrine

Build Status Scrutinizer Code Coverage Scrutinizer Code Quality Latest Stable Version Composer Downloads License Dependency Status

Doctrine extension is here to extend Kdyby/Doctrine with CRUD system.

Installation

The best way to install ipub/doctrine-crud is using Composer:

$ composer require ipub/doctrine-crud

After that you have to register extension in config.neon.

extensions:
	doctrineCrud: IPub\DoctrineCrud\DI\DoctrineCrudExtension

Documentation

Learn how to register and work with blameable behavior in documentation.


Homepage http://www.ipublikuj.eu and repository http://github.com/iPublikuj/doctrine-crud.

  • v2.0.2 v2.0.2

    • Fixed namespace for helpers in creator
  • v2.0.1 v2.0.1

    • Just code cleaning & coding standards
  • v2.0.0 v2.0.0

    • Removed dependecy on Kdyby library
    • Added magic box for creating entities
    • Added special exception for missing entity item
  • v1.1.0 v1.1.0

    • Refactored to Nette 2.4
    • Refactored to PHP7
    • Added magic for entity creation
    • Entity property validators
  • v1.0.0 v1.0.0

    • Initial release

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com